=== debian/changelog ===
netcfg (1.01ubuntu11) warty; urgency=low

  * Updated translations:
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Martin Pitt
    - Greek (el.po) by Logiotatidis George

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 14:47:38 +0100

netcfg (1.01ubuntu10) warty; urgency=low

  * If the first WEP key entered fails, make sure to retry the question at
    priority critical, not high.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 17:19:13 +0100

netcfg (1.01ubuntu9) warty; urgency=low

  * Add netcfg/internal-wlan template, identical to netcfg/internal-wifi,
    for wireless devices using the wlan-ng drivers.
  * Repair upload following clashing uploads of 1.01ubuntu7 about which I
    didn't find out until after uploading 1.01ubuntu8.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 15:41:51 +0100

netcfg (1.01ubuntu8) warty; urgency=low

  * Ask about WEP keys at priority critical. "See if it works, then ask"
    would be nicer, but there's no code for this yet.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  9 Sep 2004 14:48:27 +0100

netcfg (1.01ubuntu7) warty; urgency=low

  * Add a reference to iftab(5) to the comment added to /etc/iftab

 -- Matt Zimmerman <mdz@canonical.com>  Wed,  8 Sep 2004 11:56:15 -0700

netcfg (1.01ubuntu6) warty; urgency=low

  * Copy networking configuration files to /target before base-installer
    runs rather than in prebaseconfig.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  2 Sep 2004 16:48:12 +0100

netcfg (1.01ubuntu5) warty; urgency=low

  * debconf_go() returns 30 on backup, not 10.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed,  1 Sep 2004 13:28:10 +0100

netcfg (1.01ubuntu4) warty; urgency=low

  * Fix up some backup cases to behave more usefully.

 -- Colin Watson <cjwatson@flatline.org.uk>  Tue, 31 Aug 2004 21:42:00 +0100

netcfg (1.01ubuntu3) warty; urgency=low

  * Ask netcfg/get_nameservers at priority critical; if you're doing static
    network configuration, you probably need to be asked this.

 -- Colin Watson <cjwatson@flatline.org.uk>  Fri, 27 Aug 2004 16:19:15 +0100

netcfg (1.01ubuntu2) warty; urgency=low

  * Ask netcfg/continue_configure_static at priority critical.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 25 Aug 2004 17:50:13 +0100

netcfg (1.01ubuntu1) warty; urgency=low

  * Merge from Debian: several fixes in 1.01 are relevant to us.
  * Update Ubuntu branding.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 25 Aug 2004 15:26:01 +0100

netcfg (1.01) unstable; urgency=medium

  * Joey Hess
    - Ignore failure from ip in dhclient-script when setting mtu, in case
      the supplied mtu is invalid.
  * Joshua Kwan
    - Give the user a choice to leave the network unconfigured if nothing is
      plugged in. (Closes: #264476)
    - netcfg-dhcp.templates: "may work" becomes "may succeed".
      (Closes: #261471)
    - Remove completely braindamaged pointer handling in
      seed_hostname_from_dns, caused by myself.
      (Closes: #261460, #261527, #263187, #265651, #266245, #266549)
    - Don't let a positive result from mii-diag override netcfg/disable_dhcp.
      (Closes: #266641)
  * Updated translations:
    - Arabic (ar.po) by Christian Perrier
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek (el.po) by Greek Translation Team
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Christian Perrier
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 21 Aug 2004 15:18:18 -0700

netcfg (1.00) unstable; urgency=low

  * Updated translations: 
    - Arabic (ar.po) by Abdulaziz Al-Arfaj
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Frederik Dannemare
    - German (de.po) by Dennis Stampfer
    - Persian (fa.po) by Arash Bijanzadeh
    - Croatian (hr.po) by Krunoslav Gernhard
    - Italian (it.po) by Giuseppe Sacco
    - Swedish (sv.po) by Per Olofsson
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jul 2004 19:09:47 -0400

netcfg (0.72ubuntu6) warty; urgency=low

  * Fix Ubuntu branding; debian/*.templates hadn't been updated, and fuzzy
    markers were broken.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 25 Aug 2004 13:47:56 +0100

netcfg (0.72ubuntu5) warty; urgency=low

  * Set default hostname to 'ubuntu'.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 23 Aug 2004 23:30:36 +0100

netcfg (0.72ubuntu4) warty; urgency=low

  * Bump hostname question to critical. It's too awkward to change it after
    the install.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 23 Aug 2004 21:25:49 +0100

netcfg (0.72ubuntu3) warty; urgency=low

  * Ubuntu branding.

 -- Tollef Fog Heen <tfheen@raw.no>  Fri, 20 Aug 2004 10:24:24 +0200

netcfg (0.72ubuntu2) warty; urgency=low

  * Switch from /etc/mactab to /etc/iftab

 -- Matt Zimmerman <mdz@alcor.net>  Thu, 12 Aug 2004 11:09:26 -0700

netcfg (0.72ubuntu1) warty; urgency=low

  * Write an /etc/mactab entry for each ethernet interface, so that interface
    names stay consistent

 -- Matt Zimmerman <mdz@alcor.net>  Fri, 30 Jul 2004 19:25:33 -0700

netcfg (0.72) unstable; urgency=low

  * Joshua Kwan
    - Don't bother depending on mii-diag-udeb for netcfg-static as it's not
      used.

