=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>
Build-Depends: debhelper (>= 4.2.0), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev, po-debconf (>= 0.5.0), libiw-dev
Standards-Version: 3.6.1.0

Package: netcfg
XC-Package-Type: udeb
Architecture: i386 sparc alpha m68k arm powerpc mips mipsel hppa ia64 amd64
Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection, mii-diag-udeb, libiw27-udeb
Provides: configured-network
XB-Installer-Menu-Item: 18
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This 
 component will first try to configure your network with DHCP and ask 
 you for static network configuration if this fails. The configured 
 network settings will be copied to your newly installed system.

Package: netcfg-dhcp
XC-Package-Type: udeb
Architecture: i386 sparc alpha m68k arm powerpc mips mipsel hppa ia64 amd64
Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection, mii-diag-udeb, libiw27-udeb
Provides: configured-network
XB-Installer-Menu-Item: 18
Description: Configure the network via DHCP
 Many networks allow automatic configuration via DHCP (Dynamic Host
 Configuration Protocol).  If you are on a corporate network, a cable modem,
 some DSL connections, or have any other sort of dynamic IP for Ethernet, you
 will likely be able to configure via DHCP. If you have information such as IP
 address, netmask, gateway, then DHCP is not appropriate. This package uses
 the Internet Software Consortium's dhclient or Red Hat Linux's pump, whichever
 is available.

Package: netcfg-static
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, cdebconf-udeb, ethernet-card-detection, libiw27-udeb
Provides: configured-network
XB-Installer-Menu-Item: 20
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.
