=== debian/changelog ===
netcfg (1.08) unstable; urgency=low

  * Joshua Kwan
    - Ask for nameserver information if the DHCP server did not provide
      any. closes: #281924
    - Pass broadcast parameter to ip because it doesn't actually set it.
      Generally harmless, but we crash DSL modems now. closes: #295482
    - Fix some translation issues with Choices.
  * Joey Hess
    - If heuristics fail to determine a default interface, use the first
      interface as the default.
    - Back up netcfg/choose_interface preseeded value, and if the question
      is not displayed to the user, restore that value, overriding the
      selected default interface. Unless it was preseeded to "auto", then we
      use the selected default interface anyway.
    - That should make interface preseeding work in all situations.
      Closes: #293682

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 16 Feb 2005 21:44:33 -0800

netcfg (1.07.1) unstable; urgency=low

  * Joshua Kwan
    - Fix adhoc -> ad-hoc typo in dhcp.c. (closes: #282407)
  * Christian Perrier
    - Add a note to translators about the maximum length of
      individual Choices translations for Select templates
  * Includes fixes for substitutions in translated templates.
  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - French (fr.po) by French Team
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bøkmal, Norwegian (nb.po) by Hans Fredrik Nordhaug
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Feb 2005 18:31:11 -0500

netcfg (1.07) unstable; urgency=high

  * Joshua Kwan
    - Add missing strdup of WEP key, so that it gets into interfaces.
      closes: #275920
    - Also fix some problems setting WEP keys by passing a missing length
      parameter in the data structure. closes: #280185, #270304
      (Note: this seems to fix s:xxxxx passphrase entry.)
    - Rectify some poor wording and missing examples in netcfg/wireless_wep
      template.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Gallegan (gl.po) by Héctor Fenández López
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Nov 2004 11:42:37 -0500

netcfg (1.06) unstable; urgency=high

  * Colin Watson
    - Fix substitution variables in Greek and Swedish translations.
  * Joshua Kwan
    - Really apply Andrew Pollock's WEP patch. closes: #262624
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Italian (it.po) by Giuseppe Sacco
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Oct 2004 13:46:46 -0500

netcfg (1.05) unstable; urgency=high

  * Joey Hess
    - Rebuild, fixing dependencies on libiw27.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Oct 2004 14:55:38 -0400

netcfg (1.04) unstable; urgency=low

  * Thiemo Seufer
    - Sanitize the ifdef TEST maze in ethtool-lite.c.
  * Joshua Kwan
    - Remove -V option. (closes: #275096) 
  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Latvian (lv.po) by Aigars Mahinovs
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:23:21 -0400

netcfg (1.03) unstable; urgency=low

  * Joshua Kwan
    - mii-diag support is back, but once again, as a function. Hopefully
      it works better than the old one. This time, it only chooses a
      default interface based on the first connected one it finds. It also
      prefers ethtool to MII.
    - Also add a rudimentary wireless link detection heuristic to go with
      the new ethtool support.

