## netcfg 1.08ubuntu8

=== debian/changelog ===
netcfg (1.08ubuntu8) hoary; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Michael Vogt).
  * Update Greek translation (thanks, Giorgos Logiotatidis).
  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).
  * Update Romanian translation (thanks, Ovidiu Damian).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 17:11:01 +0100

netcfg (1.08ubuntu7) hoary; urgency=low

  * Update Spanish translation (thanks, Enrique Matías Sánchez).
  * Update Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Mar 2005 18:38:58 +0100

netcfg (1.08ubuntu6) hoary; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Maximilian Gerlach).
  * Update Hungarian translation (thanks, Gabor Burjan).
  * Update Indonesian translation (thanks, Yoppy Hidayanto).
  * Update Polish translation (thanks, Dominik Zabłotny).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:17:17 +0100

netcfg (1.08ubuntu5) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update German translation (thanks, Herbert Straub).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 03:00:46 +0000

netcfg (1.08ubuntu4) hoary; urgency=low

  * Substitute ${iface} in netcfg/wireless_essid_again (closes: Ubuntu
    #8174).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Mar 2005 00:56:40 +0000

netcfg (1.08ubuntu3) hoary; urgency=low

  * If an interface's kill switch is enabled but the user continues without
    disabling it, go on to the next interface (closes: Ubuntu #7451).
  * Avoid infinite loop on wireless configuration if no access points are
    available, by introducing a slightly different question the second time
    round the loop; entering an empty ESSID there breaks out of wireless
    configuration (closes: Ubuntu #7098).
  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Mar 2005 14:32:46 +0000

netcfg (1.08ubuntu2) hoary; urgency=low

  * Check correct variable for read() return value when checking RF kill
    switch (really closes: Ubuntu #1877).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Feb 2005 10:15:38 +0000

netcfg (1.08ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Feb 2005 13:37:53 +0000

netcfg (1.07ubuntu7) hoary; urgency=low

  * If wireless association fails, we re-ask netcfg/wireless_essid. If this
    question isn't going to be asked, perhaps because it was preseeded, just
    give up rather than going into an infinite loop.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Feb 2005 12:36:09 +0000

netcfg (1.07ubuntu6) hoary; urgency=low

  * Update Polish branding (thanks, Piotr Szotkowski).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Feb 2005 11:50:38 +0000

netcfg (1.07ubuntu5) hoary; urgency=low

  * Update Hebrew branding (thanks, Sivan Green).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  4 Feb 2005 17:04:39 +0000

netcfg (1.07ubuntu4) hoary; urgency=low

  * Detect ipw2100 and ipw2200 hardware kill switches, and warn the user if
    they're enabled (closes: Ubuntu #1877).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Jan 2005 14:09:31 +0000

netcfg (1.07ubuntu3) hoary; urgency=low

  * Add link to base-installer script in /usr/lib/casper/pre.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 20:15:36 +0000

netcfg (1.07ubuntu2) hoary; urgency=low

  * Drop priorities back to high of several questions that had been locally
    changed in Ubuntu from high to critical.
  * Drop priority of netcfg/get_domain to medium.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:56:06 +0000

netcfg (1.07ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
    - Add comment from Debian .po files to netcfg-common.templates to avoid
      lots of needless diffs.
    - Apply Ubuntu branding from scratch.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 15 Nov 2004 11:31:58 +0000

netcfg (1.05ubuntu1) hoary; urgency=low

  * Resynchronise with Debian (thanks, Scott James Remnant).
  * Drop netcfg/internal-wlan template; it's not worth it without proper
    userspace support.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 13:36:10 +0100
