=== debian/changelog ===
netcfg (1.12ubuntu3) breezy; urgency=low

  * Check an interface has a valid mac address before writing a line to
    /etc/iftab, otherwise we might end up renaming the loopback device if
    we encounter a buggy piece of hardware.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 25 Aug 2005 01:05:48 +0100

netcfg (1.12ubuntu2) breezy; urgency=low

  * Backport from trunk:
    - Close debconf client output when starting the DHCP client, to avoid
      the DHCP client holding it open.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 Aug 2005 13:34:41 +0100

netcfg (1.12ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jul 2005 12:39:23 +0100

netcfg (1.12) unstable; urgency=low

  [ Joey Hess ]
  * Apply patch from Christian Weeks and Geert Stappers to respect preseeded
    nameserver values. Closes: #315030
  * Similar fix to respect preseeded gateway value. Closes: #314618, #308964
  * Above also Closes: #282650
  * Note that above changes do make netcfg not fill in calculated values if
    the user re-does static network config a second time.
  * Fix spelling of IBM's Hipersocket. Closes: #285124
  * A few interface types seem to be pure product names and not translatable.
    Do not mark these templates as translatable.

  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - French (fr.po) by Christian Perrier
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Slovak (sk.po) by Peter Mann
    - Albanian (sq.po) by Elian Myftiu

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Jun 2005 11:46:23 -0400

netcfg (1.11) unstable; urgency=low

  [ Joey Hess ]
  * Switch to using libiw28.
  * Add a hack to sed the substvars files to get proper dependency on 
    the libiw udeb w/o a versioned dependency on the deb.
    
  * Updated translations: 
    - Catalan (ca.po) by Guillem Jover
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po) by Piarres Beobide
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrişor

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Jun 2005 16:57:39 -0400

netcfg (1.10) unstable; urgency=low

  * Colin Watson
    - Support building without wireless support (NO_WIRELESS=1).
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Italian (it.po) by Giuseppe Sacco
    - Korean (ko.po) by Changwoo Ryu
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Colin Watson <cjwatson@debian.org>  Wed,  1 Jun 2005 00:32:07 +0100

netcfg (1.09) unstable; urgency=low

  * Christian Perrier
    - Change the comment about the Choices length for translators
      The limit is 65 characters, not 70
  * Joey Hess
    - Check to see if a preseeded interface name contains the card name too,
      in case the user uses debconf-get-selections to generate their preseed
      file.
  * Colin Watson
    - On glibc 2.3.5, getaddrinfo() doesn't return a host name in
      res->ai_canonname, so seeding the host name from DNS failed. This
      appears to have been a bug in earlier versions of glibc, since POSIX
      says: "A numeric host address string is not a 'name', and thus does
      not have a 'canonical name' form; no address to host name translation
      is performed." Use getnameinfo() instead.
    - Detect ipw2100 and ipw2200 hardware kill switches, and warn the user
      if they're enabled (Ubuntu bug #1877).
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Spanish (es.po) by Enrique Matias Sanchez
    - Basque (eu.po) by Piarres Beobide
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by Gabor Burjan
    - Indonesian (id.po) by Yoppy Hidayanto
    - Italian (it.po) by Stefano Canepa
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bokmål, Norwegian (nb.po) by Terance Edward Sola
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Dominik Zablotny
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Ovidiu Damian
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 May 2005 19:56:07 +0100

netcfg (1.08ubuntu9) breezy; urgency=low

  * Backport from trunk:
    - On glibc 2.3.5, getaddrinfo() doesn't return a host name in
      res->ai_canonname, so seeding the host name from DNS failed. This
      appears to have been a bug in earlier versions of glibc, since POSIX
      says: "A numeric host address string is not a 'name', and thus does
      not have a 'canonical name' form; no address to host name translation
      is performed." Use getnameinfo() instead.


