## netcfg 1.23ubuntu6

=== debian/changelog ===
netcfg (1.23ubuntu6) dapper; urgency=low

  * Fix the last change so it actually compiles correctly.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Apr 2006 21:40:58 +1000

netcfg (1.23ubuntu5) dapper; urgency=low

  * Always append "arp X" to /etc/iftab lines, to deal with cards which
    suddenly change driver and break.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 12 Apr 2006 08:40:45 +0100

netcfg (1.23ubuntu4) dapper; urgency=low

  * Avoid writing duplicated MAC/ARP matching lines to /etc/iftab, as
    we can't handle that.  This notably breaks Sparc machines which can
    have multiple interfaces with the same MAC address (as it's generated
    from the machine id).  Ubuntu #33787.

 -- Scott James Remnant <scott@ubuntu.com>  Mon,  6 Mar 2006 12:37:37 +0000

netcfg (1.23ubuntu3) dapper; urgency=low

  * Don't write out a "mapping" section, it's completely meaningless.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 15 Feb 2006 13:03:01 +0000

netcfg (1.23ubuntu2) dapper; urgency=low

  * When writing /etc/iftab check to see whether another interface shares
    the same MAC address, if so write an arp selector out as well.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 14 Feb 2006 02:29:24 +0000

netcfg (1.23ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Drop casper symlinks, no longer required following casper's
    reimplementation as initramfs hooks.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jan 2006 13:19:35 +0000

netcfg (1.23) unstable; urgency=low

  * Don't propagate NetcfgDHClient class identifier to installed system.

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Jan 2006 12:51:16 +0000

netcfg (1.22) unstable; urgency=low

  [ Joey Hess ]
  * The return of my friend liw.

  [ Colin Watson ]
  * Make progress bars for DHCP and wireless AP search cancellable
    (closes: #247045). Requires cdebconf 0.95, but will degrade to the
    old-style bars if running with earlier versions.
  * Add myself to Uploaders.

  [ Updated translations ]
  * Bulgarian (bg.po) by Ognyan Kulev
  * Catalan (ca.po) by Guillem Jover
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Tapio Lehtonen
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Latvian (lv.po) by Aigars Mahinovs
  * Latvian (pa_IN.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Jan 2006 16:14:01 +0000

netcfg (1.21ubuntu2) dapper; urgency=low

  * Use 'auto <interface>' for all interfaces for now, dropping
    allow-hotplug which doesn't seem to work with current udev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Jan 2006 16:03:33 +0000

netcfg (1.21ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Dec 2005 16:22:43 +0000

netcfg (1.21) unstable; urgency=low

  * dhcp3 calls the "dhcp-class-identifier" option "vendor-class-identifier"
    instead.

  [ Updated translations ]
  * Galician (gl.po) by Jacobo Tarrio

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Dec 2005 16:11:09 +0000

netcfg (1.20ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Dec 2005 12:46:36 +0000

netcfg (1.20) unstable; urgency=low

  * Fix segfault because of error in hotplug configuration code.

  [ Updated translations ]
  * Latvian (lv.po) by Aigars Mahinovs

 -- Frans Pop <fjp@debian.org>  Sat,  3 Dec 2005 18:54:41 +0100

netcfg (1.19) unstable; urgency=low

  * Fix error in hotplug configuration for interfaces other than eth0.

 -- Frans Pop <fjp@debian.org>  Mon, 28 Nov 2005 23:17:29 +0100

netcfg (1.18) unstable; urgency=low

  [ Joey Hess ]
  * Make netcfg-static use the same menu item number as netcfg, no reason for
    it to differ.

  [ Frans Pop ]
  * Change hotplug configuration as written to interface file. This new
    syntax is supported by both udev and hotplug (from 0.0.20040329-25).
    Closes: #340935.

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * French (fr.po) by Christian Perrier
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov

 -- Frans Pop <fjp@debian.org>  Mon, 28 Nov 2005 16:36:15 +0100

netcfg (1.17ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Restore some translations accidentally dropped from 1.16ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Nov 2005 21:23:00 +0000

netcfg (1.17) unstable; urgency=low

  [ Thomas Hood ]
  * Don't make 'localhost.localdomain' the canonical hostname of 127.0.0.1.
    See Oct 2005 debian-devel discussion with Subject: localhost.localdomain,
    e.g., http://lists.debian.org/debian-devel/2005/10/msg00559.html

  [ Frans Pop ]
  * Remove netcfg-dhcp udeb as it is no longer used and maintained.
    The full netcfg is used instead. Closes: #329885.

  [ Geert Stappers ]
  * Identify client in dhcp-requests using "NetcfgDHClient" as
    dhcp-class-identifier. This allows a DHCP server to send DHCP user
    parameters. These parameters can be extracted from the lease file.
    A possible improvement is to allow the class identifier to be preseeded.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hindi (hi.po) by Nishant Sharma
  * Icelandic (is.po) by David Steinn Geirsson
  * Italian (it.po) by Giuseppe Sacco
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas

