=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,6 @@
 	$(foreach PACKAGE, $(PACKAGES), \
 	  install -m 755 $(PACKAGE) debian/$(PACKAGE)/bin/netcfg; \
 	  install -m 755 base-installer debian/$(PACKAGE)/usr/lib/base-installer.d/40netcfg ; \
-	  mkdir -p debian/$(PACKAGE)/usr/lib/casper/pre.d; \
-	  ln -s ../../base-installer.d/40netcfg debian/$(PACKAGE)/usr/lib/casper/pre.d/40netcfg; \
 	  ln -sf netcfg debian/$(PACKAGE)/bin/ptom; )
 	# Install files that are in all DHCP packages
 	$(foreach PACKAGE, $(DHCP_PACKAGES), \
@@ -59,8 +57,6 @@
 	(echo ; po2debconf debian/netcfg-common.templates ) \
 	   >> debian/netcfg-static/DEBIAN/templates	
 	(echo ; po2debconf debian/netcfg-common.templates )\
-	   >> debian/netcfg-dhcp/DEBIAN/templates	
-	(echo ; po2debconf debian/netcfg-common.templates )\
 	   >> debian/netcfg/DEBIAN/templates	
 	(echo ; po2debconf debian/netcfg-dhcp.templates )\
 	   >> debian/netcfg/DEBIAN/templates
